Improve this Doc View Source

Specify custom behavior on paste event.

## Directive Info

- This directive executes at priority level 0.

## Usage

- as attribute:

      <window, input, select, textarea, a
        ng-paste="">
      ...
      </window, input, select, textarea, a>

### Arguments

Param | Type | Details
--- | --- | ---
ngPaste | expression | Expression to evaluate upon paste. (Event object is available as `$event`)

## Example

Edit in Plunker

    <input ng-paste="paste=true" ng-init="paste=false" placeholder='paste here'>
    pasted: {{paste}}